stages:
  - build
  - test
  - deploy

include:
  - project: 'fabnum-minarm/devops/ci'
    ref: main
    file: '/scalingo/.gitlab-ci.yml'

deploy:scalingo:dev:
  stage: deploy
  extends:
    - .scalingo:deploy
  variables:
    SCALINGO_DEPLOY_GIT_URL: $SCALINGO_DEV_AIRVAM_BACKEND_GIT_URL
    API_URL: $SCALINGO_DEV_AIRVAM_BACKEND_API_URL
  rules:
    - if: $CI_COMMIT_BRANCH == "develop"
  needs: []
